List available time slots
List all available time slots for a service in a specific time range, for use on public booking interfaces.
Authorization
authorization In: header
Path Parameters
Service ID
Query Parameters
Start of time range (ISO date format). Defaults to today in time_zone when supplied, otherwise today in UTC.
dateEnd of time range (ISO date format). Either until or limit must be provided.
dateMaximum number of aggregated slots to return. Either limit or until must be provided.
1 <= valueIANA time zone for the slots. Slot times are formatted in this zone (Etc/UTC when omitted). When supplied, from and until are interpreted as calendar dates in this zone; when omitted, they are interpreted in the service's time zone.
"Etc/UTC"Filter slots by specific provider ID (deprecated, use provider_ids)
Filter slots by provider IDs (comma-separated)
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/public/services/srv_123456789012/slots?from=%222025-04-01%22&until=%222025-04-07%22&limit=5&time_zone=%22America%2FNew_York%22&provider_id=prv_123456789012&provider_ids=prv_123456789012%2Cprv_234567890123"{ "data": [ { "end_at": "2025-03-10T10:00:00Z", "end_at_ts": 1741600800, "object": "slot", "start_at": "2025-03-10T09:00:00Z", "start_at_ts": 1741597200, "time_zone": "Etc/UTC" } ]}List cancellation reasons GET
List all active cancellation reasons that can be used when canceling the specified appointment.
Reschedule appointment POST
Reschedule an existing appointment via a public interface (no authentication required). The new time slot for the appointment must be available. You can find available time slots using the [List available time slots](/api/list-public-service-slots) endpoint. This action will fail with a 403 Forbidden response if rescheduling is not allowed for the appointment based on the service's rescheduling policy.